{
  "name": "ruoyi",
  "version": "3.6.0",
  "description": "若依管理系统",
  "author": "若依",
  "license": "MIT",
  "scripts": {
    "dev": "vue-cli-service serve",
    "build:prod": "vue-cli-service build",
    "build:stage": "vue-cli-service build --mode staging",
    "preview": "node build/index.js --preview",
    "lint": "eslint --ext .js,.vue src"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "src/**/*.{js,vue}": [
      "eslint --fix",
      "git add"
    ]
  },
  "keywords": [
    "vue",
    "admin",
    "dashboard",
    "element-ui",
    "boilerplate",
    "admin-template",
    "management-system"
  ],
  "repository": {
    "type": "git",
    "url": "https://gitee.com/y_project/RuoYi-Vue.git"
  },
  "dependencies": {
    "@riophae/vue-treeselect": "0.4.0",
    "axios": "^1.7.9",
    "clipboard": "^2.0.11",
    "core-js": "^3.39.0",
    "dayjs": "^1.11.13",
    "echarts": "4.9.0",
    "element-ui": "^2.15.13",
    "file-saver": "^2.0.5",
    "fuse.js": "^7.0.0",
    "highlight.js": "^9.18.5",
    "js-beautify": "^1.15.1",
    "js-cookie": "^3.0.5",
    "js-pinyin": "^0.2.7",
    "jsencrypt": "^3.3.2",
    "nprogress": "^0.2.0",
    "quill": "^1.3.7",
    "screenfull": "^5.2.0",
    "sortablejs": "^1.15.6",
    "spark-md5": "^3.0.2",
    "vue": "^2.7.16",
    "vue-count-to": "^1.0.13",
    "vue-cropper": "^0.6.5",
    "vue-meta": "^2.4.0",
    "vue-router": "^3.6.5",
    "vue-simple-uploader": "^0.7.6",
    "vuedraggable": "^2.24.3",
    "vuex": "^3.6.2"
  },
  "devDependencies": {
    "@vue/cli-plugin-babel": "^4.5.19",
    "@vue/cli-plugin-eslint": "^4.5.19",
    "@vue/cli-service": "^4.5.19",
    "babel-eslint": "^10.1.0",
    "chalk": "^4.1.2",
    "connect": "^3.7.0",
    "eslint": "^7.32.0",
    "eslint-plugin-vue": "^7.20.0",
    "lint-staged": "^10.5.4",
    "runjs": "^4.4.2",
    "sass": "1.32.0",
    "sass-loader": "^10.5.2",
    "script-ext-html-webpack-plugin": "^2.1.5",
    "svg-sprite-loader": "^5.2.1",
    "vue-template-compiler": "^2.7.16",
    "vue-ueditor-wrap": "^2.5.6"
  },
  "engines": {
    "node": ">=14.0.0",
    "npm": ">= 6.0.0",
    "yarn": ">= 1.22.0"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions"
  ],
  "resolutions": {
    "@achrinza/node-ipc": "^10.1.11"
  }
}
